<?php
/**
 * Initial plugin loader.
 *
 * @package HBFWC
 */

namespace HBFWC;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

require_once dirname( HBFWC_FILE ) . '/includes/class-plugin.php';

/**
 * Retrieve the instance of the main plugin class.
 *
 * @since  1.0.0
 * @return Plugin instance
 */
function HBF_WC(): Plugin { // phpcs:ignore WordPress.NamingConventions.ValidFunctionName.FunctionNameInvalid
	static $plugin;

	if ( is_null( $plugin ) ) {
		$plugin = new Plugin( HBFWC_VERSION, HBFWC_FILE );
	}

	return $plugin;
}

HBF_WC()->run();
